CognitiveX Docs
API

POST /api/social/share

Create Share

POST /api/social/share

Create Share

Authentication: Authorization: Bearer <key> or X-API-Key: <key>. Create keys at developers.cognitivx.io/keys.

Parameters

NameInTypeRequiredDescription
X-Org-IDheaderstring | nullNo-

Request body

A JSON request body is required.

FieldTypeRequiredDescription
item_typestringYes-
source_session_idstring | nullNo-
source_message_idstring | nullNo-
titlestring | nullNo-
targetsSharedItemTargetRequest[]Yes-

Example request

curl -X POST https://api.cognitivx.io/api/social/share \
  -H "Authorization: Bearer icog_..." \
  -H "Content-Type: application/json" \
  -d '{
    "item_type": "semantic",
    "source_session_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "source_message_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "title": null,
    "targets": [
      {
        "target_type": "semantic",
        "target_user_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "target_circle_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
      }
    ]
  }'

Example response

200 application/json

{
  "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "item_type": "semantic",
  "title": null,
  "created_at": "2026-06-16T08:30:00Z"
}

Responses

StatusDescription
200Success. Returns the response body shown below.
422Request validation failed. detail lists each offending field.